Subject: Re: [V2 PATCH 2/5] arm64 : Introduce support for ACPI _CCA object

From: Suravee Suthikulanit <[email-masked]>
Date: Wed, 6 May 2015 09:34:25 -0500

On 5/6/2015 5:08 AM, Robin Murphy wrote:
> [...]
>> +static void __dummy_sync_single_for_cpu(struct device *dev,
>> +                    dma_addr_t dev_addr, size_t size,
>> +                    enum dma_data_direction dir)
>> +{
>> +}
>> +
>> +static void __dummy_sync_single_for_device(struct device *dev,
>> +                       dma_addr_t dev_addr, size_t size,
>> +                       enum dma_data_direction dir)
>> +{
>> +}
>
> Minor point, but I don't see the need to have multiple dummy functions
> with identical signatures - just have a generic dummy_sync_single and
> assign it to both ops.
>
>> +static void __dummy_sync_sg_for_cpu(struct device *dev,
>> +                    struct scatterlist *sgl, int nelems,
>> +                    enum dma_data_direction dir)
>> +{
>> +}
>> +
>> +static void __dummy_sync_sg_for_device(struct device *dev,
>> +                       struct scatterlist *sgl, int nelems,
>> +                       enum dma_data_direction dir)
>> +{
>> +}
>
> Ditto here with dummy_sync_sg.

Hi Robin,

Good point. I'll take care of that in V3.

>
> I wonder if there's any argument for putting the dummy DMA ops somewhere
> common, like drivers/base/dma-mapping.c?
>
> Robin.

Hm.. If this approach will be adopted by other architectures, then it 
would make sense. Currently, this is only used by arm64. So, I think it 
is okay to leave this here for now.

Thanks,
Suravee